Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.conversion.DWG2PDFSettingData Class Reference

## Public Member Functions
| DWG2PDFSettingData ()
| Constructor, with parameters.
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getColor_policy ()
| Get the color policy used for the converted PDF document. More...
int | getExport_flags ()
| Get the export flags used for the converted PDF document. More...
int | getExport_hatches_type ()
| Get the type of solid hatches export. More...
int | getGradient_export_hatches_type ()
| Get the type of gradient hatches export. More...
boolean | getIs_active_layout ()
| Get true means to export the active layout only, while false means not. More...
boolean | getIs_output_progress ()
| Get a boolean value which indicates whether to output progress logs. More...
int | getOther_export_hatches_type ()
| Get the type of other (non-solid) hatches export. More...
String | getOutput_author ()
| Get the author for the output PDF document, an empty string will be used as default. More...
String | getOutput_creator ()
| Get the creator for the output PDF document, an empty string will be used as default. More...
String | getOutput_keywords ()
| Get the keywords for the output PDF document, an empty string will be used as default. More...
String | getOutput_producer ()
| Get the producer for the output PDF document, an empty string will be used as default. More...
String | getOutput_subject ()
| Get the subject for the output PDF document, an empty string will be used as default. More...
String | getOutput_title ()
| Get the title for the output PDF document, an empty string will be used as default. More...
float | getPaper_height ()
| Get the paper height used for the converted PDF document. More...
float | getPaper_width ()
| Get the paper width used for the converted PDF document. More...
SWIGTYPE_p_void | getProgress_callback ()
| Get a pointer to a DWG2PDFProgressCallback object which is used to receive the progress of converting DWG to PDF. More...
int | getSearchable_text_type ()
| Get the type of search text type. More...
void | setColor_policy (int value)
| Set the color policy used for the converted PDF document. More...
void | setExport_flags (int value)
| Set the export flags used for the converted PDF document. More...
void | setExport_hatches_type (int value)
| Set the type of solid hatches export. More...
void | setGradient_export_hatches_type (int value)
| Set the type of gradient hatches export. More...
void | setIs_active_layout (boolean value)
| Set true means to export the active layout only, while false means not. More...
void | setIs_output_progress (boolean value)
| Set a boolean value which indicates whether to output progress logs. More...
void | setOther_export_hatches_type (int value)
| Set the type of other (non-solid) hatches export. More...
void | setOutput_author (String value)
| Set the author for the output PDF document, an empty string will be used as default. More...
void | setOutput_creator (String value)
| Set the creator for the output PDF document, an empty string will be used as default. More...
void | setOutput_keywords (String value)
| Set the keywords for the output PDF document, an empty string will be used as default. More...
void | setOutput_producer (String value)
| Set the producer for the output PDF document, an empty string will be used as default. More...
void | setOutput_subject (String value)
| Set the subject for the output PDF document, an empty string will be used as default. More...
void | setOutput_title (String value)
| Set the title for the output PDF document, an empty string will be used as default. More...
void | setPaper_height (float value)
| Set the paper height used for the converted PDF document. More...
void | setPaper_width (float value)
| Set the paper width used for the converted PDF document. More...
void | setProgress_callback (SWIGTYPE_p_void value)
| Set a pointer to a DWG2PDFProgressCallback object which is used to receive the progress of converting DWG to PDF. More...
void | setSearchable_text_type (int value)
| Set the type of search text type. More...

## Static Public Attributes
static final int | e_DWG2PDFColorPolicyGrayscale = 2
| Color policy: Drawing is exported to a grayscale PDF file. Native colors are converted into grayscale.
static final int | e_DWG2PDFColorPolicyMono = 1
| Color policy: Drawing is exported to a monochrome PDF file.
static final int | e_DWG2PDFColorPolicyNoPolicy = 0
| Color policy: No color policy. A drawing is exported with its native color palette (as is).
static final int | e_DWG2PDFExportHatchesTypeBitmap = 0
| Hatches export type: Exports hatch as a bitmap.
static final int | e_DWG2PDFExportHatchesTypeDrawing = 1
| Hatches export type: Exports hatch as a set of triangles (vectorizer).
static final int | e_DWG2PDFExportHatchesTypePdfPaths = 2
| Hatches export type: Exports hatch as a PDF path (solid hatches only).
static final int | e_DWG2PDFExportHatchesTypePolygons = 3
| Hatches export type: Exports hatch as a polygon (solid hatches only).
static final int | e_DWG2PDFSearchableTextTypeNoSearch = 0
| Searchable text type: No searchable text.
static final int | e_DWG2PDFSearchableTextTypeSHX = 1
| Searchable text type: Only text displayed with SHX font is searchable.
static final int | e_DWG2PDFSearchableTextTypeTTF = 2
| Searchable text type: Only text displayed with TTF font is searchable.
static final int | e_FlagASCIIHexEncoding = 0x0200
| Bit 10. Enable ASCIIHex encoding of internal PDF streams.
static final int | e_FlagEmbededOptimizedTTF = 0x0040
| Bit 7. Enable embedding of TTF font program to PDF file. The TTF font will be reduced by removing unused parts (smaller PDF file size, but limited editing).
static final int | e_FlagEmbededTTF = 0x0001
| Bit 1. Enable embedding of TTF(True Type Font) program to PDF file. The whole TTF font file will be embedded (huge PDF size).
static final int | e_FlagEnableLayers = 0x0010
| Bit 5. If enabled, layer support will be added to PDF file (1.5 version required).
static final int | e_FlagExportHyperlinks = 0x0400
| Bit 11. Enable hyperlinks export.
static final int | e_FlagFlateCompression = 0x0100
| Bit 9. Enable compression of internal PDF streams.
static final int | e_FlagIncludeOffLayers = 0x0020
| Bit 6. If enabled, invisible layers will be added to PDF file (1.5 version required).
static final int | e_FlagLinearized = 0x1000
| Bit 13. Create linearized PDF file.
static final int | e_FlagMeasuring = 0x4000
| Bit 15. Enable measuring scale in pdf.
static final int | e_FlagSHXTextAsGeometry = 0x0004
| Bit 3. Enable SHX font text to geometry conversion.
static final int | e_FlagSimpleGeomOptimization = 0x0008
| Bit 4. Enable simple geometry optimization (separated segments to one polyline, Bezier curve control points).
static final int | e_FlagTTFTextAsGeometry = 0x0002
| Bit 2. Enable TTF font text to geometry conversion.
static final int | e_FlagUseHLR = 0x0080
| Bit 8. Determines whether software uses vector hidden-line removal for corresponding viewports.
static final int | e_FlagZoomToExtentsMode = 0x0800
| Bit 12. If enabled, layout geometry will be zoomed to paper size, else layout settings will be applied. More...

## Detailed Description

This class represents settings used for converting DWG to PDF. This would be used in class Convert .

See also
  Convert

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.DWG2PDFSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getColor_policy()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getColor_policy | ( |  | ) |

Get the color policy used for the converted PDF document.

It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFColorPolicyNoPolicy as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFColorPolicyNoPolicy and this should be one of these values.

Returns
  The color policy used for the converted PDF document.

## ◆ getExport_flags()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getExport_flags | ( |  | ) |

Get the export flags used for the converted PDF document.

Returns
  The export flags used for the converted PDF document. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagEmbededTTF and this can be one or a combination of these values It could also be 0, which means all bits in the flag are 0.

## ◆ getExport_hatches_type()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getExport_hatches_type | ( |  | ) |

Get the type of solid hatches export.

It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values.

Returns
  The type of solid hatches export.

## ◆ getGradient_export_hatches_type()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getGradient_export_hatches_type | ( |  | ) |

Get the type of gradient hatches export.

For this option, only com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeDrawing are supported. It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values

Returns
  The type of gradient hatches export.

## ◆ getIs_active_layout()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getIs_active_layout | ( |  | ) |

Get true means to export the active layout only, while false means not.

Returns
  true means to export the active layout only, while false means not. Default value: false.

## ◆ getIs_output_progress()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getIs_output_progress | ( |  | ) |

Get a boolean value which indicates whether to output progress logs.

Returns
  A boolean value which indicates whether to output progress logs. true means to output progress logs, and false means not. Default value: true.

## ◆ getOther_export_hatches_type()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getOther_export_hatches_type | ( |  | ) |

Get the type of other (non-solid) hatches export.

For this option, only com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeDrawing are supported. It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values

Returns
  The type of other (non-solid) hatches export.

## ◆ getOutput_author()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getOutput_author | ( |  | ) |

Get the author for the output PDF document, an empty string will be used as default.

Returns
  The author for the output PDF document, an empty string will be used as default.

## ◆ getOutput_creator()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getOutput_creator | ( |  | ) |

Get the creator for the output PDF document, an empty string will be used as default.

Returns
  The creator for the output PDF document, an empty string will be used as default.

## ◆ getOutput_keywords()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getOutput_keywords | ( |  | ) |

Get the keywords for the output PDF document, an empty string will be used as default.

Returns
  The keywords for the output PDF document, an empty string will be used as default.

## ◆ getOutput_producer()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getOutput_producer | ( |  | ) |

Get the producer for the output PDF document, an empty string will be used as default.

Returns
  The producer for the output PDF document, an empty string will be used as default.

## ◆ getOutput_subject()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getOutput_subject | ( |  | ) |

Get the subject for the output PDF document, an empty string will be used as default.

Returns
  The subject for the output PDF document, an empty string will be used as default.

## ◆ getOutput_title()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getOutput_title | ( |  | ) |

Get the title for the output PDF document, an empty string will be used as default.

Returns
  The title for the output PDF document, an empty string will be used as default.

## ◆ getPaper_height()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getPaper_height | ( |  | ) |

Get the paper height used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagZoomToExtentsMode are enabled by export_flags). It use the default value 297.0f. this values are in millimeters.

Returns
  The paper height used for the converted PDF document.

## ◆ getPaper_width()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getPaper_width | ( |  | ) |

Get the paper width used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagZoomToExtentsMode are enabled by export_flags). It use the default value 210.0f. this values are in millimeters.

Returns
  The paper width used for the converted PDF document.

## ◆ getProgress_callback()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getProgress_callback | ( |  | ) |

Get a pointer to a DWG2PDFProgressCallback object which is used to receive the progress of converting DWG to PDF.

Returns
  A pointer to a DWG2PDFProgressCallback object which is used to receive the progress of converting DWG to PDF. This parameter can be null.

## ◆ getSearchable_text_type()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.getSearchable_text_type | ( |  | ) |

Get the type of search text type.

This option can be used if SHX or TTF text exported as geometry(com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagTTFTextAsGeometry and com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagSHXTextAsGeometry are enabled by export_flags). It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFSearchableTextTypeNoSearch as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFSearchableTextTypeNoSearch and this should be one of these values.

Returns
  The type of search text type.

## ◆ setColor_policy()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setColor_policy | ( | int | value | ) |

Set the color policy used for the converted PDF document.

It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFColorPolicyNoPolicy as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFColorPolicyNoPolicy and this should be one of these values.

Parameters

  [in] | value | The color policy used for the converted PDF document.

Returns
  None.

## ◆ setExport_flags()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setExport_flags | ( | int | value | ) |

Set the export flags used for the converted PDF document.

Parameters

  [in] | value | The export flags used for the converted PDF document. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagEmbededTTF and this can be one or a combination of these values It could also be 0, which means all bits in the flag are 0.

Returns
  None.

## ◆ setExport_hatches_type()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setExport_hatches_type | ( | int | value | ) |

Set the type of solid hatches export.

It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values.

Parameters

  [in] | value | The type of solid hatches export.

Returns
  None.

## ◆ setGradient_export_hatches_type()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setGradient_export_hatches_type | ( | int | value | ) |

Set the type of gradient hatches export.

For this option, only com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeDrawing are supported. It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values

Parameters

  [in] | value | The type of gradient hatches export.

Returns
  None.

## ◆ setIs_active_layout()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setIs_active_layout | ( | boolean | value | ) |

Set true means to export the active layout only, while false means not.

Parameters

  [in] | value | true means to export the active layout only, while false means not. Default value: false.

Returns
  None.

## ◆ setIs_output_progress()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setIs_output_progress | ( | boolean | value | ) |

Set a boolean value which indicates whether to output progress logs.

Parameters

  [in] | value | A boolean value which indicates whether to output progress logs. true means to output progress logs, and false means not. Default value: true.

Returns
  None.

## ◆ setOther_export_hatches_type()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setOther_export_hatches_type | ( | int | value | ) |

Set the type of other (non-solid) hatches export.

For this option, only com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeDrawing are supported. It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values

Parameters

  [in] | value | The type of other (non-solid) hatches export.

Returns
  None.

## ◆ setOutput_author()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setOutput_author | ( | String | value | ) |

Set the author for the output PDF document, an empty string will be used as default.

Parameters

  [in] | value | The author for the output PDF document, an empty string will be used as default.

Returns
  None.

## ◆ setOutput_creator()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setOutput_creator | ( | String | value | ) |

Set the creator for the output PDF document, an empty string will be used as default.

Parameters

  [in] | value | The creator for the output PDF document, an empty string will be used as default.

Returns
  None.

## ◆ setOutput_keywords()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setOutput_keywords | ( | String | value | ) |

Set the keywords for the output PDF document, an empty string will be used as default.

Parameters

  [in] | value | The keywords for the output PDF document, an empty string will be used as default.

Returns
  None.

## ◆ setOutput_producer()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setOutput_producer | ( | String | value | ) |

Set the producer for the output PDF document, an empty string will be used as default.

Parameters

  [in] | value | The producer for the output PDF document, an empty string will be used as default.

Returns
  None.

## ◆ setOutput_subject()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setOutput_subject | ( | String | value | ) |

Set the subject for the output PDF document, an empty string will be used as default.

Parameters

  [in] | value | The subject for the output PDF document, an empty string will be used as default.

Returns
  None.

## ◆ setOutput_title()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setOutput_title | ( | String | value | ) |

Set the title for the output PDF document, an empty string will be used as default.

Parameters

  [in] | value | The title for the output PDF document, an empty string will be used as default.

Returns
  None.

## ◆ setPaper_height()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setPaper_height | ( | float | value | ) |

Set the paper height used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagZoomToExtentsMode are enabled by export_flags). It use the default value 297.0f. this values are in millimeters.

Parameters

  [in] | value | The paper height used for the converted PDF document.

Returns
  None.

## ◆ setPaper_width()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setPaper_width | ( | float | value | ) |

Set the paper width used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagZoomToExtentsMode are enabled by export_flags). It use the default value 210.0f. this values are in millimeters.

Parameters

  [in] | value | The paper width used for the converted PDF document.

Returns
  None.

## ◆ setProgress_callback()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setProgress_callback | ( | SWIGTYPE_p_void | value | ) |

Set a pointer to a DWG2PDFProgressCallback object which is used to receive the progress of converting DWG to PDF.

Parameters

  [in] | value | A pointer to a DWG2PDFProgressCallback object which is used to receive the progress of converting DWG to PDF. This parameter can be null.

Returns
  None.

## ◆ setSearchable_text_type()

com.foxit.sdk.addon.conversion.DWG2PDFSettingData.setSearchable_text_type | ( | int | value | ) |

Set the type of search text type.

This option can be used if SHX or TTF text exported as geometry(com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagTTFTextAsGeometry and com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagSHXTextAsGeometry are enabled by export_flags). It use com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFSearchableTextTypeNoSearch as the default value of this option. Please refer to values starting from com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_DWG2PDFSearchableTextTypeNoSearch and this should be one of these values.

Parameters

  [in] | value | The type of search text type.

Returns
  None.

## Member Data Documentation

## ◆ e_FlagZoomToExtentsMode

final int com.foxit.sdk.addon.conversion.DWG2PDFSettingData.e_FlagZoomToExtentsMode = 0x0800
| static

Bit 12. If enabled, layout geometry will be zoomed to paper size, else layout settings will be applied.

Note
  This mode works like some Layout settings: "Plot Area" - "Extents", "Fit to Paper", "Center the plot", these settings applied to specified paper size and orientation, but some settings like "Plot lineweight", "Plot style" are still applying from Layout settings.